/* $Id: cgistream.h,v 1.3 2002/12/09 10:28:24 aa5779 Exp $ */
/*
 	Copyright (C) 2001, 2002 Artem V. Andreev (artem@AA5779.spb.edu)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef CGISTREAM_H
#define CGISTREAM_H

#include "hstream.h"

stream *ics_open(interpreter *i, char *name, char *fname, int writeable);
stream *ocs_open(interpreter *i, char *name, char *fname, int writeable);
void cgi_close(interpreter *i, stream *s);
html_chunk *ics_read(interpreter *i, stream *s);
void ocs_writestr(interpreter *i, stream *s, char *str);
void ocs_writetag(interpreter *i, stream *s, html_chunk *ch);
char *cgi_ioctl(interpreter *i, stream *s, char *ctl);

#ifndef CGISTREAM_IMP
extern stream_class incgi_stream_class;
extern stream_class outcgi_stream_class;
#endif

#endif

